Upstream information

CVE-2019-8375 at MITRE

Description

The UIProcess subsystem in WebKit, as used in WebKitGTK through 2.23.90 and WebKitGTK+ through 2.22.6 and other products, does not prevent the script dialog size from exceeding the web view size, which allows remote attackers to cause a denial of service (Buffer Overflow) or possibly have unspecified other impact, related to UIProcess/API/gtk/WebKitScriptDialogGtk.cpp, UIProcess/API/gtk/WebKitScriptDialogImpl.cpp, and UIProcess/API/gtk/WebKitWebViewGtk.cpp, as demonstrated by GNOME Web (aka Epiphany).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 6.5
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None Required
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High None
Availability Impact High High
SUSE Bugzilla entry: 1126768 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP3
  • libjavascriptcoregtk-4_0-18 >= 2.24.0-2.38.2
  • libwebkit2gtk-4_0-37 >= 2.24.0-2.38.2
  • libwebkit2gtk3-lang >= 2.24.0-2.38.2
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.0-2.38.2
  • typelib-1_0-WebKit2-4_0 >= 2.24.0-2.38.2
  • webkit2gtk-4_0-injected-bundles >= 2.24.0-2.38.2
  • webkit2gtk3 >= 2.24.0-2.38.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-1030
SUSE Linux Enterprise Desktop 12 SP4
  • libjavascriptcoregtk-4_0-18 >= 2.24.0-2.38.2
  • libwebkit2gtk-4_0-37 >= 2.24.0-2.38.2
  • libwebkit2gtk3-lang >= 2.24.0-2.38.2
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.0-2.38.2
  • typelib-1_0-WebKit2-4_0 >= 2.24.0-2.38.2
  • webkit2gtk-4_0-injected-bundles >= 2.24.0-2.38.2
  • webkit2gtk3 >= 2.24.0-2.38.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-1030
SUSE Linux Enterprise Module for Basesystem 15
  • libjavascriptcoregtk-4_0-18 >= 2.24.0-3.21.1
  • libwebkit2gtk-4_0-37 >= 2.24.0-3.21.1
  • libwebkit2gtk3-lang >= 2.24.0-3.21.1
  • webkit2gtk-4_0-injected-bundles >= 2.24.0-3.21.1
  • webkit2gtk3 >= 2.24.0-3.21.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-890
SUSE Linux Enterprise Module for Desktop Applications 15
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.0-3.21.1
  • typelib-1_0-WebKit2-4_0 >= 2.24.0-3.21.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.0-3.21.1
  • webkit2gtk3 >= 2.24.0-3.21.1
  • webkit2gtk3-devel >= 2.24.0-3.21.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-2019-890
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • webkit-jsc-4 >= 2.24.0-3.21.1
  • webkit2gtk3 >= 2.24.0-3.21.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-890
SUSE Linux Enterprise Server 12 SP3
  • libjavascriptcoregtk-4_0-18 >= 2.24.0-2.38.2
  • libwebkit2gtk-4_0-37 >= 2.24.0-2.38.2
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.0-2.38.2
  • typelib-1_0-WebKit2-4_0 >= 2.24.0-2.38.2
  • webkit2gtk-4_0-injected-bundles >= 2.24.0-2.38.2
  • webkit2gtk3 >= 2.24.0-2.38.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1030
SUSE Linux Enterprise Server 12 SP4
  • libjavascriptcoregtk-4_0-18 >= 2.24.0-2.38.2
  • libwebkit2gtk-4_0-37 >= 2.24.0-2.38.2
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.0-2.38.2
  • typelib-1_0-WebKit2-4_0 >= 2.24.0-2.38.2
  • webkit2gtk-4_0-injected-bundles >= 2.24.0-2.38.2
  • webkit2gtk3 >= 2.24.0-2.38.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1030
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libjavascriptcoregtk-4_0-18 >= 2.24.0-2.38.2
  • libwebkit2gtk-4_0-37 >= 2.24.0-2.38.2
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.0-2.38.2
  • typelib-1_0-WebKit2-4_0 >= 2.24.0-2.38.2
  • webkit2gtk-4_0-injected-bundles >= 2.24.0-2.38.2
  • webkit2gtk3 >= 2.24.0-2.38.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1030
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libjavascriptcoregtk-4_0-18 >= 2.24.0-2.38.2
  • libwebkit2gtk-4_0-37 >= 2.24.0-2.38.2
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.0-2.38.2
  • typelib-1_0-WebKit2-4_0 >= 2.24.0-2.38.2
  • webkit2gtk-4_0-injected-bundles >= 2.24.0-2.38.2
  • webkit2gtk3 >= 2.24.0-2.38.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1030
SUSE Linux Enterprise Software Development Kit 12 SP3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.0-2.38.2
  • webkit2gtk3 >= 2.24.0-2.38.2
  • webkit2gtk3-devel >= 2.24.0-2.38.2
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-1030
SUSE Linux Enterprise Software Development Kit 12 SP4
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.0-2.38.2
  • webkit2gtk3 >= 2.24.0-2.38.2
  • webkit2gtk3-devel >= 2.24.0-2.38.2
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-1030
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libwebkit2gtk3-lang >= 2.24.0-2.38.2
  • webkit2gtk3 >= 2.24.0-2.38.2
Patchnames:
SUSE-SLE-WE-12-SP3-2019-1030
SUSE Linux Enterprise Workstation Extension 12 SP4
  • libwebkit2gtk3-lang >= 2.24.0-2.38.2
  • webkit2gtk3 >= 2.24.0-2.38.2
Patchnames:
SUSE-SLE-WE-12-SP4-2019-1030
openSUSE Leap 15.0
  • libjavascriptcoregtk-4_0-18 >= 2.24.0-lp150.2.16.1
  • libjavascriptcoregtk-4_0-18-32bit >= 2.24.0-lp150.2.16.1
  • libjavascriptcoregtk-4_0-18-32bit-debuginfo >= 2.24.0-lp150.2.16.1
  • libjavascriptcoregtk-4_0-18-debuginfo >= 2.24.0-lp150.2.16.1
  • libwebkit2gtk-4_0-37 >= 2.24.0-lp150.2.16.1
  • libwebkit2gtk-4_0-37-32bit >= 2.24.0-lp150.2.16.1
  • libwebkit2gtk-4_0-37-32bit-debuginfo >= 2.24.0-lp150.2.16.1
  • libwebkit2gtk-4_0-37-debuginfo >= 2.24.0-lp150.2.16.1
  • libwebkit2gtk3-lang >= 2.24.0-lp150.2.16.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.0-lp150.2.16.1
  • typelib-1_0-WebKit2-4_0 >= 2.24.0-lp150.2.16.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.0-lp150.2.16.1
  • webkit-jsc-4 >= 2.24.0-lp150.2.16.1
  • webkit-jsc-4-debuginfo >= 2.24.0-lp150.2.16.1
  • webkit2gtk-4_0-injected-bundles >= 2.24.0-lp150.2.16.1
  • webkit2gtk-4_0-injected-bundles-debuginfo >= 2.24.0-lp150.2.16.1
  • webkit2gtk3 >= 2.24.0-lp150.2.16.1
  • webkit2gtk3-debugsource >= 2.24.0-lp150.2.16.1
  • webkit2gtk3-devel >= 2.24.0-lp150.2.16.1
  • webkit2gtk3-minibrowser >= 2.24.0-lp150.2.16.1
  • webkit2gtk3-minibrowser-debuginfo >= 2.24.0-lp150.2.16.1
  • webkit2gtk3-plugin-process-gtk2 >= 2.24.0-lp150.2.16.1
  • webkit2gtk3-plugin-process-gtk2-debuginfo >= 2.24.0-lp150.2.16.1
Patchnames:
openSUSE-2019-1206
openSUSE Leap 42.3
  • libjavascriptcoregtk-4_0-18 >= 2.24.0-24.1
  • libjavascriptcoregtk-4_0-18-32bit >= 2.24.0-24.1
  • libjavascriptcoregtk-4_0-18-debuginfo >= 2.24.0-24.1
  • libjavascriptcoregtk-4_0-18-debuginfo-32bit >= 2.24.0-24.1
  • libwebkit2gtk-4_0-37 >= 2.24.0-24.1
  • libwebkit2gtk-4_0-37-32bit >= 2.24.0-24.1
  • libwebkit2gtk-4_0-37-debuginfo >= 2.24.0-24.1
  • libwebkit2gtk-4_0-37-debuginfo-32bit >= 2.24.0-24.1
  • libwebkit2gtk3-lang >= 2.24.0-24.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.24.0-24.1
  • typelib-1_0-WebKit2-4_0 >= 2.24.0-24.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.24.0-24.1
  • webkit-jsc-4 >= 2.24.0-24.1
  • webkit-jsc-4-debuginfo >= 2.24.0-24.1
  • webkit2gtk-4_0-injected-bundles >= 2.24.0-24.1
  • webkit2gtk-4_0-injected-bundles-debuginfo >= 2.24.0-24.1
  • webkit2gtk3 >= 2.24.0-24.1
  • webkit2gtk3-debugsource >= 2.24.0-24.1
  • webkit2gtk3-devel >= 2.24.0-24.1
  • webkit2gtk3-minibrowser >= 2.24.0-24.1
  • webkit2gtk3-minibrowser-debuginfo >= 2.24.0-24.1
  • webkit2gtk3-plugin-process-gtk2 >= 2.24.0-24.1
  • webkit2gtk3-plugin-process-gtk2-debuginfo >= 2.24.0-24.1
Patchnames:
openSUSE-2019-1316


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Desktop 12 SP4 webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 12 webkit2gtk3 Released
SUSE Linux Enterprise Module for Basesystem 15 GA webkit2gtk3 Released
SUSE Linux Enterprise Module for Desktop Applications 15 GA webkit2gtk3 Released
SUSE Linux Enterprise SDK 12 SP3 webkit2gtk3 Released
SUSE Linux Enterprise SDK 12 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP2 LTSS webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Server 12 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Workstation Extension 12 SP3 webkit2gtk3 Released
SUSE Linux Enterprise Workstation Extension 12 SP4 webkit2gtk3 Released